Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Admin Class Template Reference

This class implements CosTrading::Admin IDL interface. More...

`#include <Trader_Interfaces.h>`

Inheritance diagram for TAO_Admin:

[legend]
Collaboration diagram for TAO_Admin:

[legend]
List of all members.

## Public Methods
| TAO_Admin (TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &trader)
| ~TAO_Admin (void)
virtual CORBA::ULong | set_def_search_card (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
| Search card is the cardinality of the offers searched for constraint compliance. More...
virtual CORBA::ULong | set_max_search_card (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | set_def_match_card (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
| Match card is the cardinality of offers found compliant with the constraints. More...
virtual CORBA::ULong | set_max_match_card (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | set_def_return_card (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
| Return card is the cardinality of the offers returned from Lookup. More...
virtual CORBA::ULong | set_max_return_card (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | set_max_list (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
| Types of offers available for consideration. Ween out those offers with modifiable properties. More...
virtual CORBA::Boolean | set_supports_modifiable_properties (CORBA::Boolean value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::Boolean | set_supports_dynamic_properties (CORBA::Boolean value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::Boolean | set_supports_proxy_offers (CORBA::Boolean value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | set_def_hop_count (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | set_max_hop_count (CORBA::ULong value ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::FollowOption | set_def_follow_policy (CosTrading::FollowOption policy ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::FollowOption | set_max_follow_policy (CosTrading::FollowOption policy ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::FollowOption | set_max_link_follow_policy (CosTrading::FollowOption policy ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::TypeRepository_ptr | set_type_repos (CosTrading::TypeRepository_ptr repository ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::Admin::OctetSeq * | request_id_stem (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::Admin::OctetSeq * | set_request_id_stem (const CosTrading::Admin::OctetSeq &stem ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual void | list_offers (CORBA::ULong how_many, CosTrading::OfferIdSeq_out ids, CosTrading::OfferIdIterator_out id_itr ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::NotImplemented)
virtual void | list_proxies (CORBA::ULong, CosTrading::OfferIdSeq_out, CosTrading::OfferIdIterator_out ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::NotImplemented)
## Private Methods
void | operator= (const TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
| TAO_Admin (const TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
## Private Attributes
TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader_
CosTrading::Admin::OctetSeq | stem_id_
| Unique prefix to create a sequence number space. More...
CORBA::ULong | sequence_number_
| Current sequence number. More...
TRADER_LOCK_TYPE | lock_

## Detailed Description

### template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
class TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >

This class implements CosTrading::Admin IDL interface.

DESCRIPTION (FROM SPEC) The admin interface enables the values of the trader attributes to be read and written. All attributes are defined as readonly in either SupportAttributes, ImportAttributes, LinkAttributes, or Admin. To set the trader "attribute" to a new value, set_<attribute_name> operations are defined in Admin. Each of these set operations returns the previous value of the attribute as its function value. If the admin interface operation set_support_proxy_offers is invoked with a value set to FALSE in a trader which supports the proxy interface, the set_support_proxy_offer value does not affect the function of operations in the proxy interface. However, in this case, it does have the effect of making any proxy offers exported via the proxy interface for that trader unavailable to satisfy queries on that trader's lookup interface.

## Constructor & Destructor Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Admin | ( | TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader | ) |

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::~TAO_Admin | ( | void |  | ) |

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Admin | ( | const TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[private]`

## Member Function Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::list_offers | ( | CORBA::ULong | how_many,
|  | CosTrading::OfferIdSeq_out | ids,
|  | CosTrading::OfferIdIterator_out id_itr | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::NotImplemented)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::list_proxies | ( | CORBA::ULong | ,
|  | CosTrading::OfferIdSeq_out | ,
|  | CosTrading::OfferIdIterator_out | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::NotImplemented)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::operator= | ( | const TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[private]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::Admin::OctetSeq * TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::request_id_stem | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::FollowOption TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_def_follow_policy | ( | CosTrading::FollowOption policy | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_def_hop_count | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_def_match_card | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Match card is the cardinality of offers found compliant with the constraints.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_def_return_card | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Return card is the cardinality of the offers returned from Lookup.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_def_search_card | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Search card is the cardinality of the offers searched for constraint compliance.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::FollowOption TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_max_follow_policy | ( | CosTrading::FollowOption policy | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_max_hop_count | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::FollowOption TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_max_link_follow_policy | ( | CosTrading::FollowOption policy | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_max_list | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Types of offers available for consideration. Ween out those offers with modifiable properties.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_max_match_card | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_max_return_card | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_max_search_card | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::Admin::OctetSeq * TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_request_id_stem | ( | const CosTrading::Admin::OctetSeq &stem | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::Boolean TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_supports_dynamic_properties | ( | CORBA::Boolean value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::Boolean TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_supports_modifiable_properties | ( | CORBA::Boolean value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::Boolean TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_supports_proxy_offers | ( | CORBA::Boolean value | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::TypeRepository_ptr TAO_Admin< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::set_type_repos | ( | CosTrading::TypeRepository_ptr repository | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TRADER_LOCK_TYPE TAO_Admin::lock_`[private]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CORBA::ULong TAO_Admin::sequence_number_`[private]`

| Current sequence number.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::Admin::OctetSeq TAO_Admin::stem_id_`[private]`

| Unique prefix to create a sequence number space.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Trader<TRADER_LOCK_TYPE,MAP_LOCK_TYPE>& TAO_Admin::trader_`[private]`

The documentation for this class was generated from the following files:

- Trader_Interfaces.h
- Trader_Interfaces.cpp